@import "libs/shared/assets/src/global-style/color";
@import "libs/shared/assets/src/global-style/variable";

.title-custom {
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 150%;
  padding: 0 0.3rem;
}
.inline {
  display: inline-block;
  margin-left: 20px;
}

.custom-card {
  background: white;
  border-radius: 16px;
  position: relative;
  margin-bottom: 1rem;
}
.header-divider {
  border-right: 1px solid $background-primary-button-color;
  height: 2.3rem;
  position: absolute;
  top: 10px;
}
.text-custom {
  font-size: 16px;
  color: $text-pagination;
  margin-left: 2.7rem;
}

:host {
  width: 100%;
}

p {
  margin: 0px !important;
}

.main-model-organization {
  margin: 8px 0px 8px 32px;
  display: flex;
  justify-content: space-between;
  &__left {
    display: flex;
    column-gap: 16px;
    align-items: center;
    &__pointer {
      margin: 0px;
    }
    &__title {
      font-style: normal;
      font-weight: 700;
      font-size: 20px;
      line-height: 24px;
      color: #000000;
      margin: 0px;
    }
  }
  &__right {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      margin-right: 16px;
      font-size: 14px;
      background: $primary-button-color;
      margin-left: 16px;
      width: 139px;
      height: 40px;
      justify-content: center;
    }
    &__button-search {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 40px;
      background: $background-primary-button-color;
      color: $primary-button-color;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
    &__button-excel {
      background: none;
      border: none;
    }
  }
}

.container-fluid {
  background: $background-main;
  .form {
    background: white;
    padding: 16px 0px 16px 0px;
    border-radius: 16px;
  }
}

.form-row {
  padding: 0px 24px 0px 24px;
  justify-content: space-between;
  &__button {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
  }
  &__input {
    width: 100%;
    border-radius: 8px !important;
    min-height: 40px;
    &--fun {
      border: none;
    }
  }

  &__label {
    font-size: 14px;
    color: #6e7191;
    line-height: 26px;
    font-weight: bold;
  }

  &__left {
    display: flex;
    flex-direction: column;
  }

  &__right--attach {
    display: flex;
    align-items: flex-end;
    height: 100%;
  }

  &__select {
    width: 100%;
    ::ng-deep {
      .ant-select-selector {
        border-radius: 8px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
      .ant-select-selection-search-input {
        height: 100% !important;
      }
    }
  }
}

.form-row-center {
  display: flex;
  justify-content: center;
  margin-top: 18px;
}

.jd-table {
  min-width: 100%;
  margin-top: 16px;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
  &__name {
    display: flex;
    &--level {
      padding-left: 10%;
    }
  }
  &__action {
    display: flex;
    justify-content: center;
  }
}

.title-input {
  display: flex;
  padding-bottom: 10px;
}

.button-back {
  border: 1px solid #141ed2;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $white-color;
  margin-left: 16px;
  color: $primary-button-color;
}

.button-approve {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.template {
  margin-top: 24px;
  margin-bottom: 24px;
  ::ng-deep {
    .ant-pagination {
      float: right;
      margin-top: 0;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
    .ant-pagination-next {
      margin-right: 18px;
    }
  }
  &__right {
    display: flex;
    align-items: flex-end;
    &--attach {
      display: flex;
      align-items: flex-end;
      height: 100%;
    }
  }
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
}

.pagination {
  display: flex;
  margin-top: 16px;
  justify-content: flex-end;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: #4e4b66;
    }
  }
}
.issued-name {
  white-space: nowrap;
  overflow: hidden !important;
  text-overflow: ellipsis;
}
.title-modal {
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  color: #14142b;
}
